; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "xVideoServiceThief"
!define PRODUCT_VERSION "1.8.3 alpha"
!define PRODUCT_PUBLISHER "Xesc & Technology"
!define PRODUCT_WEB_SITE "http://xviservicethief.sourceforge.net/"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\ffmpeg.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

SetCompressor lzma

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Language Selection Dialog Settings
!define MUI_LANGDLL_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_LANGDLL_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_LANGDLL_REGISTRY_VALUENAME "NSIS:Language"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!insertmacro MUI_PAGE_LICENSE "..\GPL.txt"
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_RUN "$INSTDIR\xVideoServiceThief.exe"
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "Spanish"

; Reserve files
!insertmacro MUI_RESERVEFILE_INSTALLOPTIONS

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "xVideoServiceThief_1_8_3_alpha_win32_installer.exe"
InstallDir "$PROGRAMFILES\Xesc & Technology\xVideoServiceThief"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show

Function .onInit
  !insertmacro MUI_LANGDLL_DISPLAY
FunctionEnd

Section "Principal" SEC01
  SetOutPath "$INSTDIR\bin"
  SetOverwrite try
  File "..\bin\bin\ffmpeg.exe"
  File "..\bin\bin\pthreadGC2.dll"
  File "..\bin\bin\xUpdater.exe"
  SetOutPath "$INSTDIR"
  File "..\bin\GPL.txt"
  SetOutPath "$INSTDIR\languages"
  File "..\bin\languages\catala.language"
  File "..\bin\languages\czech.language"
  File "..\bin\languages\danish.language"
  File "..\bin\languages\english_uk.language"
  File "..\bin\languages\espanol.language"
  File "..\bin\languages\french.language"
  File "..\bin\languages\korean.language"
  File "..\bin\languages\polish.language"
  File "..\bin\languages\portugese_br.language"
  File "..\bin\languages\xVST_br.qm"
  File "..\bin\languages\xVST_ca.qm"
  File "..\bin\languages\xVST_cs.qm"
  File "..\bin\languages\xVST_cz.qm"
  File "..\bin\languages\xVST_da.qm"
  File "..\bin\languages\xVST_es.qm"
  File "..\bin\languages\xVST_fr.qm"
  File "..\bin\languages\xVST_it.qm"
  File "..\bin\languages\xVST_kr.qm"
  File "..\bin\languages\xVST_pl.qm"
  SetOutPath "$INSTDIR\Microsoft.VC80.CRT"
  File "..\bin\Microsoft.VC80.CRT\Microsoft.VC80.CRT.manifest"
  File "..\bin\Microsoft.VC80.CRT\msvcm80.dll"
  File "..\bin\Microsoft.VC80.CRT\msvcp80.dll"
  File "..\bin\Microsoft.VC80.CRT\msvcr80.dll"
  SetOutPath "$INSTDIR"
  File "..\bin\xVideoServiceThief.exe"
  CreateDirectory "$SMPROGRAMS\xVideoServiceThief"
  CreateShortCut "$SMPROGRAMS\xVideoServiceThief\xVideoServiceThief.lnk" "$INSTDIR\xVideoServiceThief.exe"
  CreateShortCut "$DESKTOP\xVideoServiceThief.lnk" "$INSTDIR\xVideoServiceThief.exe"
SectionEnd

Section -AdditionalIcons
  WriteIniStr "$INSTDIR\${PRODUCT_NAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE}"
  CreateShortCut "$SMPROGRAMS\xVideoServiceThief\Website.lnk" "$INSTDIR\${PRODUCT_NAME}.url"
  CreateShortCut "$SMPROGRAMS\xVideoServiceThief\Uninstall.lnk" "$INSTDIR\uninst.exe"
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\bin\ffmpeg.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\bin\ffmpeg.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "La desinstalacin de $(^Name) finaliz satisfactoriamente."
FunctionEnd

Function un.onInit
!insertmacro MUI_UNGETLANGUAGE
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Est completamente seguro que desea desinstalar $(^Name) junto con todos sus componentes?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  Delete "$INSTDIR\${PRODUCT_NAME}.url"
  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\xVideoServiceThief.exe"
  Delete "$INSTDIR\Microsoft.VC80.CRT\msvcr80.dll"
  Delete "$INSTDIR\Microsoft.VC80.CRT\msvcp80.dll"
  Delete "$INSTDIR\Microsoft.VC80.CRT\msvcm80.dll"
  Delete "$INSTDIR\Microsoft.VC80.CRT\Microsoft.VC80.CRT.manifest"
  Delete "$INSTDIR\languages\xVST_pl.qm"
  Delete "$INSTDIR\languages\xVST_kr.qm"
  Delete "$INSTDIR\languages\xVST_it.qm"
  Delete "$INSTDIR\languages\xVST_fr.qm"
  Delete "$INSTDIR\languages\xVST_es.qm"
  Delete "$INSTDIR\languages\xVST_da.qm"
  Delete "$INSTDIR\languages\xVST_cz.qm"
  Delete "$INSTDIR\languages\xVST_cs.qm"
  Delete "$INSTDIR\languages\xVST_ca.qm"
  Delete "$INSTDIR\languages\xVST_br.qm"
  Delete "$INSTDIR\languages\portugese_br.language"
  Delete "$INSTDIR\languages\polish.language"
  Delete "$INSTDIR\languages\korean.language"
  Delete "$INSTDIR\languages\french.language"
  Delete "$INSTDIR\languages\espanol.language"
  Delete "$INSTDIR\languages\english_uk.language"
  Delete "$INSTDIR\languages\danish.language"
  Delete "$INSTDIR\languages\czech.language"
  Delete "$INSTDIR\languages\catala.language"
  Delete "$INSTDIR\GPL.txt"
  Delete "$INSTDIR\bin\xUpdater.exe"
  Delete "$INSTDIR\bin\pthreadGC2.dll"
  Delete "$INSTDIR\bin\ffmpeg.exe"

  Delete "$SMPROGRAMS\xVideoServiceThief\Uninstall.lnk"
  Delete "$SMPROGRAMS\xVideoServiceThief\Website.lnk"
  Delete "$DESKTOP\xVST.lnk"
  Delete "$SMPROGRAMS\xVideoServiceThief\xVST.lnk"

  RMDir "$SMPROGRAMS\xVideoServiceThief"
  RMDir "$INSTDIR\Microsoft.VC80.CRT"
  RMDir "$INSTDIR\languages"
  RMDir "$INSTDIR\bin"
  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
  SetAutoClose true
SectionEnd